Bug 1319076 - Adding hypervisors with virt-who fails with can't cast ActiveSupport::HashWithIndifferentAccess to string
Summary: Adding hypervisors with virt-who fails with can't cast ActiveSupport::HashWit...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 15:23 UTC by Stefan Meyer
Modified: 2019-10-10 11:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-03 19:33:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14274 0 None None None 2016-04-22 16:29:12 UTC

Description Stefan Meyer 2016-03-18 15:23:56 UTC
Description of problem:
Adding hypervisors with virt-who fails with can't cast ActiveSupport::HashWithIndifferentAccess to string

Version-Release number of selected component (if applicable):
- Satellite 6.2 (6.2.0-4.beta.el7sat)
- RHEL 7.2
- virt-who (0.14-9.el7)

How reproducible:
# /usr/bin/virt-who --one-shot --sam --libvirt --libvirt-owner=redhat --libvirt-server=kvm.example.com --libvirt-env=Library

The same error was also reproducible with a RHEV 3.6 hypervisor.

As agreed with Thomas McKay he will fill in the reproducer.

Comment 5 Tom McKay 2016-03-18 16:23:12 UTC
Created redmine issue http://projects.theforeman.org/issues/14274 from this bug

Comment 6 Bryan Kearney 2016-03-18 18:10:23 UTC
Upstream bug component is Content Management

Comment 9 Bryan Kearney 2016-08-03 18:13:13 UTC
Upstream bug component is Hosts

Comment 10 Tom McKay 2016-08-03 19:33:39 UTC
I have re-run the reproducer against Sat-6.2 and this now works without error.


Note You need to log in before you can comment on or make changes to this bug.